curl --location --request POST 'https://api.linkvite.io/v1/bookmarks' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "https://example.com",
"collection": "<collection_id>"
}'
{
"success": 1,
"user_group": {
"team_id": 113,
"token": "<user_group_token_to_auth_dashboard>",
"name": "ok",
"provided_id": "6"
}
}
Bookmark
Create Bookmark
This endpoint allows you to create a new bookmark.
POST
/
v1
/
bookmarks
curl --location --request POST 'https://api.linkvite.io/v1/bookmarks' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "https://example.com",
"collection": "<collection_id>"
}'
{
"success": 1,
"user_group": {
"team_id": 113,
"token": "<user_group_token_to_auth_dashboard>",
"name": "ok",
"provided_id": "6"
}
}
Body
string
This is the URL of the bookmark you want to create (Required)
string
This is the collection ID where the bookmark will be added (Optional)
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
The contents of the user group
Show Toggle object
Show Toggle object
number
Indicates whether a new user group was created.
string
This is the user group token (userGroupToken or USER_GROUP_TOKEN) that will be
used to identify which user group is viewing the dashboard. You should save
this on your end to use when rendering an embedded dashboard.
string
This is the name of the user group provided in the request body.
string
This is the user_group_id provided in the request body.
JSON | Null
This is the properties object if it was provided in the request body
JSON or null
This is the environment tag of the user group. Possible values are ‘Customer’
and ‘Testing’
curl --location --request POST 'https://api.linkvite.io/v1/bookmarks' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "https://example.com",
"collection": "<collection_id>"
}'
{
"success": 1,
"user_group": {
"team_id": 113,
"token": "<user_group_token_to_auth_dashboard>",
"name": "ok",
"provided_id": "6"
}
}
Was this page helpful?